Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.builder
Class SwiftHRFSpecEntrySet

    java.lang.Object
      com.stc.swift.builder.SwiftHRFSpecEntrySet

    public class SwiftHRFSpecEntrySet

extends java.lang.Object

Field Summary
`static java.lang.String` | `ALTRN_ENTRY_CHOICE_PREFIX`
`static java.lang.String` | `ALTRN_ENTRY_NAME_PREFIX`
`static int` | `HRF_SPEC_FORMAT_1`
`static int` | `HRF_SPEC_FORMAT_2`
`static java.lang.String` | `LOOP_ENTRY_NAME_PREFIX`
`static java.lang.String` | `SEQU_NAME_PREFIX`

Constructor Summary
`SwiftHRFSpecEntrySet()`

Method Summary
`void` | `addEntry(SwiftHRFSpecEntry entry)`
`void` | `addMandatory()`
`void` | `calculateRepRange()`
`java.lang.String` | `getDesc()`
`java.util.List` | `getEntries()`
`boolean` | `getHasArrow()`
`int` | `getMandatoryCount()`
`int` | `getMaxRep()`
`int` | `getMinRep()`
`java.lang.String` | `getMOFlag(java.lang.String s)`
`java.lang.String` | `getName()`
`SwiftHRFSpecEntrySet` | `getParent()`
`int` | `getType()`
`boolean` | `isOptional()`
`void` | `isOptional(boolean b)`
`boolean` | `isRepetitive()`
`void` | `isRepetitive(boolean b)`
`java.lang.String` | `nextAltrnChoiceName()`
`java.lang.String` | `nextAltrnEntryName()`
`java.lang.String` | `nextLoopEntryName()`
`java.lang.Integer` | `registerField(java.lang.String name)`
`void` | `setDesc(java.lang.String s)`
`void` | `setHasArrow(boolean b)`
`void` | `setMOFlag(java.lang.String s)`
`void` | `setName(java.lang.String s)`
`void` | `setParent(SwiftHRFSpecEntrySet parent)`
`void` | `setType(int t)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALTRN_ENTRY_NAME_PREFIX

    public static final java.lang.String ALTRN_ENTRY_NAME_PREFIX

See Also:
  Constant Field Values

### ALTRN_ENTRY_CHOICE_PREFIX

    public static final java.lang.String ALTRN_ENTRY_CHOICE_PREFIX

See Also:
  Constant Field Values

### SEQU_NAME_PREFIX

    public static final java.lang.String SEQU_NAME_PREFIX

See Also:
  Constant Field Values

### LOOP_ENTRY_NAME_PREFIX

    public static final java.lang.String LOOP_ENTRY_NAME_PREFIX

See Also:
  Constant Field Values

### HRF_SPEC_FORMAT_1

    public static final int HRF_SPEC_FORMAT_1

See Also:
  Constant Field Values

### HRF_SPEC_FORMAT_2

    public static final int HRF_SPEC_FORMAT_2

See Also:
  Constant Field Values

Constructor Detail

### SwiftHRFSpecEntrySet

    public SwiftHRFSpecEntrySet()

Method Detail

### setType

    public void setType(int t)

### getType

    public int getType()

### setName

    public void setName(java.lang.String s)

### getName

    public java.lang.String getName()

### isRepetitive

    public void isRepetitive(boolean b)

### isRepetitive

    public boolean isRepetitive()

### setDesc

    public void setDesc(java.lang.String s)

### getDesc

    public java.lang.String getDesc()

### isOptional

    public void isOptional(boolean b)

### isOptional

    public boolean isOptional()

### setParent

    public void setParent(SwiftHRFSpecEntrySet parent)

### getParent

    public SwiftHRFSpecEntrySet getParent()

### nextLoopEntryName

    public java.lang.String nextLoopEntryName()

### nextAltrnEntryName

    public java.lang.String nextAltrnEntryName()

### nextAltrnChoiceName

    public java.lang.String nextAltrnChoiceName()

### registerField

    public java.lang.Integer registerField(java.lang.String name)

### getMandatoryCount

    public int getMandatoryCount()

### addMandatory

    public void addMandatory()

### getEntries

    public java.util.List getEntries()

### addEntry

    public void addEntry(SwiftHRFSpecEntry entry)

### calculateRepRange

    public void calculateRepRange()
                           throws SwiftParsingException

  Throws:
    `SwiftParsingException`

### getMinRep

    public int getMinRep()
                  throws SwiftParsingException

  Throws:
    `SwiftParsingException`

### getMaxRep

    public int getMaxRep()
                  throws SwiftParsingException

  Throws:
    `SwiftParsingException`

### setMOFlag

    public void setMOFlag(java.lang.String s)

### getMOFlag

    public java.lang.String getMOFlag(java.lang.String s)

### setHasArrow

    public void setHasArrow(boolean b)

### getHasArrow

    public boolean getHasArrow()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.